$(call PKG_INIT_BIN, 2.4)
$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION)b1.tar.gz
$(PKG)_SOURCE_MD5:=2f761fa3475682a7512b0b43568ee7d6
$(PKG)_SITE:=http://www.monkey.org/~dugsong/$(pkg)/beta
$(PKG)_BINARIES:=$(pkg) arpspoof dnsspoof filesnarf macof mailsnarf msgsnarf \
sshmitm sshow tcpkill tcpnice urlsnarf webmitm
$(PKG)_BINARIES_BUILD_DIR:=$($(PKG)_BINARIES:%=$($(PKG)_DIR)/%)
$(PKG)_BINARIES_TARGET_DIR:=$($(PKG)_BINARIES:%=$($(PKG)_DEST_DIR)/usr/bin/%)

$(PKG)_SERVICES_LIST:=$($(PKG)_DIR)/dnsspoof.hosts
$(PKG)_TARGET_SERVICES_LIST:=$($(PKG)_DEST_DIR)/etc/dsniff/dnsspoof.hosts
$(PKG)_SERVICES_LIST1:=$($(PKG)_DIR)/dsniff.services
$(PKG)_TARGET_SERVICES_LIST1:=$($(PKG)_DEST_DIR)/etc/dsniff/dsniff.services
$(PKG)_SERVICES_LIST2:=$($(PKG)_DIR)/dsniff.magic
$(PKG)_TARGET_SERVICES_LIST2:=$($(PKG)_DEST_DIR)/etc/dsniff/dsniff.magic

$(PKG)_CONFIGURE_PRE_CMDS += $(call PKG_PREVENT_RPATH_HARDCODING,./configure)
$(PKG)_DEPENDS_ON := libpcap libnet openssl db libnids glib2

$(PKG)_CONFIGURE_OPTIONS += --with-db="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"
$(PKG)_CONFIGURE_OPTIONS += --without-x
$(PKG)_CONFIGURE_OPTIONS += --with-libnids="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"
$(PKG)_CONFIGURE_OPTIONS += --with-libpcap="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"
$(PKG)_CONFIGURE_OPTIONS += --with-libnet="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"
$(PKG)_CONFIGURE_OPTIONS += --with-openssl="$(TARGET_TOOLCHAIN_STAGING_DIR)/usr"

$(PKG_SOURCE_DOWNLOAD)
$(PKG_UNPACKED)
$(PKG_CONFIGURED_CONFIGURE)

$($(PKG)_BINARIES_BUILD_DIR): $($(PKG)_DIR)/.configured
		$(SUBMAKE1) -C $(DSNIFF_DIR) \
		CC="$(TARGET_CC)" \
		CFLAGS="$(TARGET_CFLAGS) -D_BSD_SOURCE -DLIBNET_VER=1 -DHAVE_ICMPHDR=1 \
		-DHAVE_TCP_STATES=1 -DHAVE_BSD_UDPHDR=1 -DLIBNET_LIL_ENDIAN -D__BSD_SOURCE \
		-D__FAVOR_BSD -DHAVE_NET_ETHERNET_H" LNETLIB="-L$(TARGET_TOOLCHAIN_STAGING_DIR)/lib -lnet" \
		LNETINC="-I$(TARGET_TOOLCHAIN_STAGING_DIR)/include -DLIBNET_LIL_ENDIAN \
		-D_BSD_SOURCE -D__BSD_SOURCE -D__FAVOR_BSD -DHAVE_NET_ETHERNET_H" \
		PCAPLIB="-L$(TARGET_TOOLCHAIN_STAGING_DIR)/lib -lpcap" \
		PCAPINC="-I$(TARGET_TOOLCHAIN_STAGING_DIR)/include" \
		NDISLIB="-L$(TARGET_TOOLCHAIN_STAGING_DIR)/lib -lndis" \
		NDISINC="-I$(TARGET_TOOLCHAIN_STAGING_DIR)/include" \
		SSLLIB="-L$(TARGET_TOOLCHAIN_STAGING_DIR)/lib -lssl -lcrypto" \
		SSLINC="-I$(TARGET_TOOLCHAIN_STAGING_DIR)/include" \
		DBINC="-I$(TARGET_TOOLCHAIN_STAGING_DIR)/include" \
		DBLIB="-L$(TARGET_TOOLCHAIN_STAGING_DIR)/lib -ldb" \
		INCS="-I. $(NIDSINC) $(PCAPINC) $(LNETINC) $(SSLINC) -I./missing" \
		LIBS="-lnsl -L./ -lmissing" \
		LDFLAGS="$(TARGET_LDFLAGS)" \
		all
		touch $(DSNIFF_SERVICES_LIST) $(DSNIFF_SERVICES_LIST1) $(DSNIFF_SERVICES_LIST2)

$($(PKG)_BINARIES_TARGET_DIR): $($(PKG)_DEST_DIR)/usr/bin/%: $($(PKG)_DIR)/%
	$(INSTALL_BINARY_STRIP)

$($(PKG)_TARGET_SERVICES_LIST): $($(PKG)_SERVICES_LIST)
	$(INSTALL_FILE)

$($(PKG)_TARGET_SERVICES_LIST1): $($(PKG)_SERVICES_LIST1)
	$(INSTALL_FILE)

$($(PKG)_TARGET_SERVICES_LIST2): $($(PKG)_SERVICES_LIST2)
	$(INSTALL_FILE)

$(pkg):

$(pkg)-precompiled: $($(PKG)_BINARIES_TARGET_DIR) $($(PKG)_TARGET_SERVICES_LIST) \
		    $($(PKG)_TARGET_SERVICES_LIST1) $($(PKG)_TARGET_SERVICES_LIST2)

$(pkg)-clean:
	-$(SUBMAKE1) -C $(DSNIFF_DIR) clean
	$(RM) $(DSNIFF_DIR)/.configured

$(pkg)-uninstall:
	$(RM) $(DSNIFF_BINARIES_TARGET_DIR)

$(PKG_FINISH)
